org.modeshape.jcr.query.plan

## Enum PlanNode.Traversal

- java.lang.Object
- - java.lang.Enum<PlanNode.Traversal>
  - - org.modeshape.jcr.query.plan.PlanNode.Traversal

- All Implemented Interfaces:
    Serializable, Comparable<PlanNode.Traversal>
  Enclosing class:
    PlanNode

      public static enum PlanNode.Traversal
      extends Enum<PlanNode.Traversal>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEVEL_ORDER` Traverse all of the children before traversing the plan nodes under the children.
    `POST_ORDER` Traverse the plan nodes by visiting the children before visiting the parent.
    `PRE_ORDER` Traverse the plan nodes by visiting the parent before the children.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PlanNode.Traversal` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PlanNode.Traversal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEVEL_ORDER

          public static final PlanNode.Traversal LEVEL_ORDER

      Traverse all of the children before traversing the plan nodes under the children.

    - #### PRE_ORDER

          public static final PlanNode.Traversal PRE_ORDER

      Traverse the plan nodes by visiting the parent before the children. This means traversing a child (and everything below the child) before moving to the next child.

    - #### POST_ORDER

          public static final PlanNode.Traversal POST_ORDER

      Traverse the plan nodes by visiting the children before visiting the parent.

  - ### Method Detail

    - #### values

          public static PlanNode.Traversal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlanNode.Traversal c : PlanNode.Traversal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlanNode.Traversal valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.